Package: org.grails.plugins.testing

## [Groovy] Class GrailsMockHttpSession

- org.grails.plugins.testing.GrailsMockHttpSession

- Simple sub-class of Spring's MockHttpSession that adds support for map and property notation, i.e. "session['attr']" and "session.attr".

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.mock.web.MockHttpSession` | `SESSION_COOKIE_NAME`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getAt(java.lang.String name)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `void` | `putAt(java.lang.String name, java.lang.Object value)`
    `` | `void` | `setProperty(java.lang.String name, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.mock.web.MockHttpSession` | `org.springframework.mock.web.MockHttpSession#getAttribute(java.lang.String), org.springframework.mock.web.MockHttpSession#putValue(java.lang.String, java.lang.Object), org.springframework.mock.web.MockHttpSession#removeAttribute(java.lang.String), org.springframework.mock.web.MockHttpSession#invalidate(), org.springframework.mock.web.MockHttpSession#setAttribute(java.lang.String, java.lang.Object), org.springframework.mock.web.MockHttpSession#getCreationTime(), org.springframework.mock.web.MockHttpSession#removeValue(java.lang.String), org.springframework.mock.web.MockHttpSession#isNew(), org.springframework.mock.web.MockHttpSession#getValueNames(), org.springframework.mock.web.MockHttpSession#getServletContext(), org.springframework.mock.web.MockHttpSession#getAttributeNames(), org.springframework.mock.web.MockHttpSession#getLastAccessedTime(), org.springframework.mock.web.MockHttpSession#setMaxInactiveInterval(int), org.springframework.mock.web.MockHttpSession#getMaxInactiveInterval(), org.springframework.mock.web.MockHttpSession#getSessionContext(), org.springframework.mock.web.MockHttpSession#changeSessionId(), org.springframework.mock.web.MockHttpSession#clearAttributes(), org.springframework.mock.web.MockHttpSession#setNew(boolean), org.springframework.mock.web.MockHttpSession#serializeState(), org.springframework.mock.web.MockHttpSession#deserializeState(java.io.Serializable), org.springframework.mock.web.MockHttpSession#getValue(java.lang.String), org.springframework.mock.web.MockHttpSession#access(), org.springframework.mock.web.MockHttpSession#getId(), org.springframework.mock.web.MockHttpSession#isInvalid(), org.springframework.mock.web.MockHttpSession#wait(long, int), org.springframework.mock.web.MockHttpSession#wait(long), org.springframework.mock.web.MockHttpSession#wait(), org.springframework.mock.web.MockHttpSession#equals(java.lang.Object), org.springframework.mock.web.MockHttpSession#toString(), org.springframework.mock.web.MockHttpSession#hashCode(), org.springframework.mock.web.MockHttpSession#getClass(), org.springframework.mock.web.MockHttpSession#notify(), org.springframework.mock.web.MockHttpSession#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### java.lang.Object getAt(java.lang.String name)

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### void putAt(java.lang.String name, java.lang.Object value)

    - #### void setProperty(java.lang.String name, java.lang.Object value)